Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Zeichnungsableitung Baugruppe einzeln

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Zeichnungsableitung Baugruppe einzeln (467 mal gelesen)
popoff1
Mitglied



Sehen Sie sich das Profil von popoff1 an!   Senden Sie eine Private Message an popoff1  Schreiben Sie einen Gästebucheintrag für popoff1

Beiträge: 28
Registriert: 11.06.2020

erstellt am: 14. Jan. 2022 10:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ist es in Inventor möglich von einer Baugruppe nur für einen Bestimmten Teil (der Baugruppe) eine Zeichnungsableitung zu machen?
Also einfaches Beispiel. Ich habe in der Baugruppe einen Tisch auf der eine Flasche und eine Tasse steht. Ich
möchte nun aber aus dieser Baugruppe nur die Zeichnungsableitung der Tasse machen und nicht von der Gesamen Baugruppe.

Die Flasche und Tasse stehen dabei für aufwendige Baugruppen, also nicht nur ein Teil 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nightsta1k3r
Ehrenmitglied V.I.P. h.c.
plaudern



Sehen Sie sich das Profil von nightsta1k3r an!   Senden Sie eine Private Message an nightsta1k3r  Schreiben Sie einen Gästebucheintrag für nightsta1k3r

Beiträge: 10854
Registriert: 25.02.2004

Hier könnte Ihre Werbung stehen!

erstellt am: 14. Jan. 2022 11:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Konstruktionsansicht in der Baugruppe aufbereiten und die dann beide Zeichnungsansicht anwenden.
Gängige Vorgangsweise.

------------------

------------------
Der Clown ist die wichtigste Mahlzeit am Tag.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HA.WE
Mitglied
Kontrukteur


Sehen Sie sich das Profil von HA.WE an!   Senden Sie eine Private Message an HA.WE  Schreiben Sie einen Gästebucheintrag für HA.WE

Beiträge: 288
Registriert: 21.04.2005

IV Prof. 2020
Vault Workgroup 2020

erstellt am: 14. Jan. 2022 11:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Wenn die Tasse doch eine eigene Baugruppe ist, kannst du doch eine Zeichnung davon machen.
Oder verstehe ich dich falsch?

------------------
Gruß
Hans

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

popoff1
Mitglied



Sehen Sie sich das Profil von popoff1 an!   Senden Sie eine Private Message an popoff1  Schreiben Sie einen Gästebucheintrag für popoff1

Beiträge: 28
Registriert: 11.06.2020

erstellt am: 14. Jan. 2022 11:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@nightsta1k3r: Was meinst du genau mit aufbereiten? Wie mache ich das genau in Inventor? Danke
@HA.WE: Die Tasse ist keine einzelne Baugruppe. Die Tasse und die Flasche wurden in der Baugruppe erst zusammengesetzt. Also es gibt nur eine Baugruppe wo innerhalb dessen die Tasse und die Flasche zusammengebaut wurden

[Diese Nachricht wurde von popoff1 am 14. Jan. 2022 editiert.]

[Diese Nachricht wurde von popoff1 am 14. Jan. 2022 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Torsten Niemeier
Ehrenmitglied V.I.P. h.c.
Maschinenbau Ingenieur



Sehen Sie sich das Profil von Torsten Niemeier an!   Senden Sie eine Private Message an Torsten Niemeier  Schreiben Sie einen Gästebucheintrag für Torsten Niemeier

Beiträge: 3339
Registriert: 21.06.2001

"ZUSE I.36", 8 BIT, 32 Lämpchen, Service-Ölkännchen "ESSO-Super", Software: AO auf Kuhlmann-Parallelogramm-Plattform
** CSWP 04/2011 **
** CSWE 08/2011 **

erstellt am: 14. Jan. 2022 11:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von popoff1:

Die Flasche und Tasse stehen dabei für aufwendige Baugruppen

Ja dann...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

popoff1
Mitglied



Sehen Sie sich das Profil von popoff1 an!   Senden Sie eine Private Message an popoff1  Schreiben Sie einen Gästebucheintrag für popoff1

Beiträge: 28
Registriert: 11.06.2020

erstellt am: 14. Jan. 2022 12:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Torsten Niemeier:

Ja dann...  


Ja aber die Flasche und die Tasse wurden direkt in der Gesamten Baugruppe zusammengesetzt   . Es Existiert nur eine Gesamte Baugruppe.

[Diese Nachricht wurde von popoff1 am 14. Jan. 2022 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Torsten Niemeier
Ehrenmitglied V.I.P. h.c.
Maschinenbau Ingenieur



Sehen Sie sich das Profil von Torsten Niemeier an!   Senden Sie eine Private Message an Torsten Niemeier  Schreiben Sie einen Gästebucheintrag für Torsten Niemeier

Beiträge: 3339
Registriert: 21.06.2001

"ZUSE I.36", 8 BIT, 32 Lämpchen, Service-Ölkännchen "ESSO-Super", Software: AO auf Kuhlmann-Parallelogramm-Plattform
** CSWP 04/2011 **
** CSWE 08/2011 **

erstellt am: 14. Jan. 2022 12:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Ist schon ok.
Meist ist so etwas aber ein deutlicher Wink, dass man vielleicht besser nochmal etwas umstrukturieren sollte...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 14. Jan. 2022 12:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von popoff1:
@nightsta1k3r: Was meinst du genau mit aufbereiten? Wie mache ich das genau in Inventor?

Erstelle unter Darstellungen eine neue Detailgenauigkeit. Dann machst du die Teile unsichtbar, die nicht auf der Zeichnung erscheinen sollen und speicherst diese Detailgenauigkeit.
Wenn du nun mit dieser Detailgenauigkeit eine neue Zeichnung erstellst, wählt Inventor automatisch diese Detailansicht aus und stellt nur die Teile dar, die sichtbar geblieben sind.

Das kann man aber jederzeit bei einer bestehenden Zechnung nach Doppelklick auf die Erstansicht noch ändern.

Viele Grüße
Roger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Leo Laimer
Moderator
CAD-Dienstleister




Sehen Sie sich das Profil von Leo Laimer an!   Senden Sie eine Private Message an Leo Laimer  Schreiben Sie einen Gästebucheintrag für Leo Laimer

Beiträge: 25919
Registriert: 24.11.2002

IV bis 2019

erstellt am: 14. Jan. 2022 12:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Besser Ansichtsdarstellung nehmen, und diese dann sperren.

------------------
mfg - Leo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nightsta1k3r
Ehrenmitglied V.I.P. h.c.
plaudern



Sehen Sie sich das Profil von nightsta1k3r an!   Senden Sie eine Private Message an nightsta1k3r  Schreiben Sie einen Gästebucheintrag für nightsta1k3r

Beiträge: 10854
Registriert: 25.02.2004

Hier könnte Ihre Werbung stehen!

erstellt am: 14. Jan. 2022 13:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von rode.damode:
eine neue Detailgenauigkeit

Detailgenauigkeiten sind schon lange out. Sie waren immer spröde und ihre einzige Notwendigkeit ist jetzt nur mehr das Ersatzmodell.

@popoff1: Ansichtsdarstellungen , mit diesem Stichwort gehst du recherchieren  .

------------------

------------------
Der Clown ist die wichtigste Mahlzeit am Tag.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 14. Jan. 2022 13:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Also ich benutzte seit Jahr und Tag Detailgenauigkeit.

Wenn ich tief in eine Baugruppe reinzoome, dann kann ich durch Umschalten der Detailgenauigkeit störende Komponenten einfach ausblenden.
Die aktuell gewählte Zoom-Ansichtsposition ändert sich dadurch nicht.

Beim Umschalten einer Ansichtsdarstellung nervt es mich, dass dann meine aktuelle Zoom-Ansicht wechselt.
Weshalb findet ihr das Vorteilhaft?

Viele Grüße
Roger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 478
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 14. Jan. 2022 14:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Ansichtsdarstellung ist auch mein Favorit für den geschilderten Fall.

@Roger: der von Dir genannte Vorteil/Nachteil spielt für die Zeichnungsableitung keine Rolle. Für mich hast Du aber in dem Punkt soweit recht, dass dieses Verhalten störend sein kann.
Bei Detailgenauigkeiten habe ich es schon geschafft mich in Schwierigkeiten zu bringen, weil das Umschalten zwischen ihnen teils (?) nicht möglich ist, ohne vorher zu speichern. Das war aber auch nicht möglich (oder gewünscht), weil eine andere Detailgenauigkeit durch eine idw geladen war. Vmtl. gebe ich das hier nicht exakt wieder und es liegt auch an meinen (Un)Fähigkeiten.
Mein Fazit: Detailgenauigkeiten können gefährlich sein, Ansichtsdarstellungen weniger.

Zeichnungsansichten lassen sich einzeln von einer Ansichtsdarst. zur anderen Umschalten. z.B. Komponente in einem Schnitt ausblenden, was aber in der Erstansicht dargestellt wird. Bei Detailgenauigkeiten ist das mE nicht möglich.

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nightsta1k3r
Ehrenmitglied V.I.P. h.c.
plaudern



Sehen Sie sich das Profil von nightsta1k3r an!   Senden Sie eine Private Message an nightsta1k3r  Schreiben Sie einen Gästebucheintrag für nightsta1k3r

Beiträge: 10854
Registriert: 25.02.2004

Hier könnte Ihre Werbung stehen!

erstellt am: 14. Jan. 2022 15:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von rode.damode:
Weshalb findet ihr das Vorteilhaft?

das ist eine Kleinigkeit, die nicht jeden betrifft.
Aber hast du schon mal 2 verschiedene LODs auf einer Zeichnung abgebildet?

------------------

------------------
Der Clown ist die wichtigste Mahlzeit am Tag.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 14. Jan. 2022 15:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Hallo KraBBy

Danke für die Rückmeldung.

Das mit dem Ausblenden in jedem Ansichtsfenster einzeln werde ich mal ausprobieren. Bisher habe ich das im Zeichnungsbrowser direkt gemacht.

Es stimmt schon, dass das Umschalten je nach Anzahl unterdrückter Bauteile sehr zäh werden kann.
War mir aber bisher immer noch lieber, als dass sich bei der Ansichtsumschaltung die ganze Baugruppe komplett wegdreht.

Eventuell gibt es da auch schon was, das bisher an mir vorbeiging.

Viele Grüße
Roger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 14. Jan. 2022 15:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von nightsta1k3r:

Aber hast du schon mal 2 verschiedene LODs auf einer Zeichnung abgebildet?

Also das klappt bei mir problemlos. 2 verschiedene Erstansichten, einmal LOD1 und einmal LOD2.

Interessieren würde mich was du mit "das ist eine Kleinigkeit,..." meinst.
Geht das Ein- und Ausblenden von störenden Bauteilen auf anderem Weg einfacher?

Viele Grüße
Roger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12851
Registriert: 02.04.2004

IV 2019 + 2020 + 2021
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 12GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 14. Jan. 2022 16:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von popoff1:
...aus dieser Baugruppe nur die Zeichnungsableitung der Tasse machen und nicht von der gesamten Baugruppe.
Wenn die "Tasse" schon eine eigene Unterbaugruppe ist, warum machst Du dann nicht einfach eine Zeichnung von genau dieser Unterbaugruppe?

Wenn die "Tasse" noch keine eigene Unterbaugruppe ist, dann ist der Wunsch, eine eigene Zeichnung davon zu machen, ein eindeutiges Zeichen dafür, dass das besser eine eigene Unterbaugruppe wäre!

All die ganzen Tools, von Konstruktionsansichtsdarstellung über Detailgenauigkeit bin hin zu Modellzuständen und Ichweißnichwas, sind nur Hühnerkram, um mangelhafte Dateiorganisation zu übertünchen. 

------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 14. Jan. 2022 16:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 14. Jan. 2022 16:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Mist, der Daumen hoch solte eigentlich besser ausfallen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

popoff1
Mitglied



Sehen Sie sich das Profil von popoff1 an!   Senden Sie eine Private Message an popoff1  Schreiben Sie einen Gästebucheintrag für popoff1

Beiträge: 28
Registriert: 11.06.2020

erstellt am: 14. Jan. 2022 16:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die Antworten. Ich habe nun für die "Tasse" eine Eigene Unterbaugruppe angefertigt. Dies ging schneller als über den anderen Weg.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Leo Laimer
Moderator
CAD-Dienstleister




Sehen Sie sich das Profil von Leo Laimer an!   Senden Sie eine Private Message an Leo Laimer  Schreiben Sie einen Gästebucheintrag für Leo Laimer

Beiträge: 25919
Registriert: 24.11.2002

IV bis 2019

erstellt am: 14. Jan. 2022 16:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von rode.damode:

Also das klappt bei mir problemlos. 2 verschiedene Erstansichten, einmal LOD1 und einmal LOD2.

Interessieren würde mich was du mit "das ist eine Kleinigkeit,..." meinst.
Geht das Ein- und Ausblenden von störenden Bauteilen auf anderem Weg einfacher?

Viele Grüße
Roger


Detailgenauigkeiten (LOD) wurden genau für den einen Zweck entwickelt, die RAM-Auslastung bei 32Bit-Systemen im Zaum halten zu können bei sehr großen BG. Wir haben damit (2008) gigantische Datenmonster auf alten Rechnern glücklich handhaben können.

So wie fast Alles kann man sie natürlich auch für allerlei Sonstiges benutzen, aber es ist nicht empfehlenswert.
Für mich gibts 2-3 Gründe LOD nicht mehr zu verwenden,
- LOD kann man nicht sperren, damit kann beim Herummachen am Modell die entsprechende Zeichnungsansicht ziemlich zerzaust werden
- LODs, kaskadierende LODs und ad-hoc Unterdrücken von BT in UnterBG erzeugen unübersichtliche Situationen und temporäre LODs in denen sich der Benutzer ev. nicht mehr zurechtfindet und sogar IV selber sich verhaspelt
- Es steht in den Sternen ob LODs  in Zukunft weiter unterstützt werden, das könnte ev. älteren Datenbestand mit excessiven LOD-Anwendungen gefährden

------------------
mfg - Leo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12851
Registriert: 02.04.2004

IV 2019 + 2020 + 2021
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 12GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 14. Jan. 2022 17:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Leo Laimer:
Es steht in den Sternen ob LODs  in Zukunft weiter unterstützt werden, ...
Mein Horoskop sagt: Nein, ihr Platz wird (oder wurden schon) eingenommen von den Modellzuständen. Nicht "ersetzt", denn die Funktionalität ist eine völlig andere.

Ich lass von beiden die Finger, so lange es geht.

------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Leo Laimer
Moderator
CAD-Dienstleister




Sehen Sie sich das Profil von Leo Laimer an!   Senden Sie eine Private Message an Leo Laimer  Schreiben Sie einen Gästebucheintrag für Leo Laimer

Beiträge: 25919
Registriert: 24.11.2002

IV bis 2019

erstellt am: 14. Jan. 2022 17:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Es war schon mal fast so weit dass LOD discontinued worden wären. Wurde dann aber doch fortgesetzt.
Die LODs gehen wohl nun in den "Modellzuständen" (oder wie das heißt - hab keine aktuelle Version bei der Hand) auf.
Und dabei ist immer die Gefahr dass irgendwas beim Konvertieren alter "Zustände" in die neuen Modellzustände schief geht.
Ich spreche da aus gut 30 Jahren Autodesk-Erfahrung...
Also, neugierig bin ich schon, aber in der berufsmäßigen Anwendung lieber sehr zurückhaltend.

------------------
mfg - Leo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 14. Jan. 2022 19:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Leo Laimer:
Es war schon mal fast so weit dass LOD discontinued worden wären. Wurde dann aber doch fortgesetzt.
Die LODs gehen wohl nun in den "Modellzuständen" (oder wie das heißt - hab keine aktuelle Version bei der Hand) auf.

Na dann bin ich in diesem Punkt mal froh, dass Weiterentwicklungen von Inventor etwas dauern.
Hab gerade mal testweise 2022 gestartet. Die Funktionsweise, wie ich sie brauche, funktioniert auch dort mit Modelzuständen.

Wie du schon weiter oben geschrieben hast "So wie fast Alles kann man sie natürlich auch für allerlei Sonstiges benutzen,.." benutze ich sie um auf tief vergrabene Bauteile zugreifen zu können.
Dabei wechsle ich von der LOD-Hauptansicht auf eine neue LOD und unterdrücke die Bauteile die vor meinem gewünschtem Bauteil liegen. Danach kann ich durch Wechsel in die LOD-Hauptansicht wieder schnell alles sichtbar machen. Geht schneller als die Teile unsichtbar schalten und nacher im Browser wieder nacheinander sichtbar schalten.

Hab zwar auch 2 Tasten belegt, mit denen ich zwischen Schatiert- und Drahtansicht umschalten kann. Das hilft mir, die tieferliegenden Bauteile schneller zu erkennen, aber den direkten Zugriff habe ich dadurch trotzdem nicht.

Wie macht ihr das?

Viele Grüße
Roger 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12851
Registriert: 02.04.2004

IV 2019 + 2020 + 2021
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 12GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 14. Jan. 2022 20:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Unterbaugruppen!

------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

freierfall
Ehrenmitglied V.I.P. h.c.
selbstst. techn. Zeichner



Sehen Sie sich das Profil von freierfall an!   Senden Sie eine Private Message an freierfall  Schreiben Sie einen Gästebucheintrag für freierfall

Beiträge: 11250
Registriert: 30.04.2004

WIN10 64bit, 32GB RAM
IV bis 2022

erstellt am: 15. Jan. 2022 05:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Guten morgen, ich will mach noch eine weitere Option für Einzelteil rein bringen.

Schweißbaugruppen

Ein Kunde hat jede Baugruppe in eine Schweißbaugruppe umgewandelt, da diese quasi immer montiert eingekauft wurden. Für die jeweiligen Fertigungen/Toleranzen wirde über die Ansichten halt die Einzelteile ausgewählt und man konnte die Positionsnummer aus der Baugruppe einfach anziehen. Einfach mal ausprobieren, das ist eigentlich was du suchst.

herzlich Sascha

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manfred Gündchen
Ehrenmitglied V.I.P. h.c.
SelbstständIng mit Planungsbüro Anlagenbau, Dipl.-Ing.-Maschinenbau


Sehen Sie sich das Profil von Manfred Gündchen an!   Senden Sie eine Private Message an Manfred Gündchen  Schreiben Sie einen Gästebucheintrag für Manfred Gündchen

Beiträge: 2276
Registriert: 08.03.2008

IV seit den 5.3Er
aktuell den 2014Ner
WIN7pro-64bit
SP das jeweils aktuelle

erstellt am: 15. Jan. 2022 08:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Roland Schröder:
Unterbaugruppen!
…meine Rede (!)!

…und nicht „so‘n Tüdellüt“

Zitat:
Original erstellt von popoff1:
…Die Tasse und die Flasche wurden in der Baugruppe erst zusammengesetzt. Also es gibt nur eine Baugruppe wo innerhalb dessen die Tasse und die Flasche zusammengebaut wurden…
Die „zusammengebaute“ Tasse und die Flasche in einer Baugruppe sind dann immer noch diese Baugruppe und nicht Baugruppen in einer Baugruppe (!)!
Eine Unterbaugruppe hat einen eigenen Namen und damit auch einen Speicherort.

Aber das hast der Trötersteller ja jetzt wohl verstanden und bereinigt.

------------------
In diesem Sinne wünsche ich allen, weiterhin effektives Schaffen

----------------
Manfred Gündchen
www.guendchen.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Leo Laimer
Moderator
CAD-Dienstleister




Sehen Sie sich das Profil von Leo Laimer an!   Senden Sie eine Private Message an Leo Laimer  Schreiben Sie einen Gästebucheintrag für Leo Laimer

Beiträge: 25919
Registriert: 24.11.2002

IV bis 2019

erstellt am: 15. Jan. 2022 10:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von rode.damode:

... benutze ich sie um auf tief vergrabene Bauteile zugreifen zu können.
Dabei wechsle ich von der LOD-Hauptansicht auf eine neue LOD und unterdrücke die Bauteile die vor meinem gewünschtem Bauteil liegen. Danach kann ich durch Wechsel in die LOD-Hauptansicht wieder schnell alles sichtbar machen. Geht schneller als die Teile unsichtbar schalten und nacher im Browser wieder nacheinander sichtbar schalten.

Hab zwar auch 2 Tasten belegt, mit denen ich zwischen Schatiert- und Drahtansicht umschalten kann. Das hilft mir, die tieferliegenden Bauteile schneller zu erkennen, aber den direkten Zugriff habe ich dadurch trotzdem nicht.

Wie macht ihr das?


Ich verwende dazu meist den Auswahlfilter "Bauteil" und die RMB-Option "Isolieren". Dazu passend gibts dann die RMB-Option "Isolieren aufheben".
Für oft zu wiederholende Auswahlsätze mach ich mir eine Ansichtsdarstellung, kommt aber selten vor.

------------------
mfg - Leo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 15. Jan. 2022 13:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Hallo Leo

Danke für den Tip. Der funktioniert super.
Wenn ich da auf Drahtanzeige umstelle, kann ich die Auswahlliste bis zum gewünschten Teil durchscrollen.
Nur ist es so, dass ich bei der Einstellung "Bauteil auswählen" oft vergeblich auf eine Liste warte.

Viel besser funktioniert die Einstellung "Körper auswählen".
Da erhalte ich beim Drüberfahren mit der Maus immer eine Auswahlliste der darunter befindlichen Teile.
Nur kann ich da den entsprechenden Körper nicht isolieren, weil der Befehl beim RMB-klick hier nicht vorhanden ist. 
Hab das Minimenü dann angepasst und den isolieren-Befehl eingefügt, aber der Befehl "isolieren" bleibt bei "Körper auswählen" ausgegraut.

Bevor ich auf die Programmierer schimpfe, frage ich mal, warum bei "Bauteil auswählen" die Auswahlliste weniger gut funktioniert, und bei "Körper auswählen" die Auswahl nicht weiter bearbeitet werden kann. 
Was müßte ich eventuell umstellen?

Viele Grüße
Roger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Leo Laimer
Moderator
CAD-Dienstleister




Sehen Sie sich das Profil von Leo Laimer an!   Senden Sie eine Private Message an Leo Laimer  Schreiben Sie einen Gästebucheintrag für Leo Laimer

Beiträge: 25919
Registriert: 24.11.2002

IV bis 2019

erstellt am: 15. Jan. 2022 19:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Dazu gabs jüngst einen Thread hier (2 Seiten zurück), Lösung damals war, neuen Windows-User anlegen.

------------------
mfg - Leo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 15. Jan. 2022 21:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Hallo Leo

Danke für den Hinweis, aber das war's nicht.

Hab jetzt etwas herumprobiert und festgestellt, dass auch "Körper auswählen" Probleme macht, wenn man direkt von oben auf die Teile schaut.

Hab jetzt aber die Lösung gefunden.

In den Anwendungsoptionen/Allgemein muss im Bereich "Auswahl" die "optimierte Auswahl aktivieren" ausgeschaltet sein.

Dann funktioniert auch bei der Einstellung "Bauteil auswählen" die Auswahlliste problemlos in allen Lagen.

Danke nochmals für den Tip mit "isolieren".   Ist nun komfortabler als meine bisherige Arbeitsweise.

Lerne gerne noch was dazu, auch kurz vor der Rente.

Hat jetzt nichts mehr mit dem eigentlichen Problem zu tun, aber interessiern würde mich schon, was eigentlich "Körper auswählen" soll, wenn man danach nichts damit anfangen kann. 

Viele Grüße
Roger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik


Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 1945
Registriert: 15.11.2006

Windows 10 x64, AIP 2022

erstellt am: 16. Jan. 2022 08:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Moin

Man kann doch mit "Körper auswählen" die phys. Eigenschaften abrufen, die Darstellung des Körpers ändern, die Sichtbarkeit umstellen, den Körper im Modellbrowser suchen. Was möchtest du denn im Baugruppenkontext sonst noch mit einem Volumen-/Flächenkörper eines Bauteiles machen? Zum Glück blendet Inventor die in diesem Kontext sinnlosen Befehle aus.

------------------
MfG
Ralf

RKW Solutions GmbH
www.RKW-Solutions.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 16. Jan. 2022 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Hallo Ralf

Danke für die Rückmeldung.
Aber das sind doch alles Dinge, die auch mit "Bauteil auswählen" oder "Komponente auswählen" auch funktionieren.

Was ich jetzt aber festgestellt habe ist, dass in Mehrkörperbauteilen aus der Baugruppenumgebung heraus direkt einzelne Körper selektiert werden können.

Da kann ich z.B. das gewählte unsichtbar schalten, oder mit "andere ausblenden" eben gerade die nicht gewählten in dem Mehrkörperbauteil ausblenden.
Gehe ich dann aber mit Doppelklick in das Mehrkörperbauteil rein, dann kann ich die ausgeblendeten Körper nicht mehr sichtbar machen.

Dies kann ich dann nur wieder in der Baugruppenumgebung mit "Körper auswählen" und "alle anzeigen".

Schwieriger wird es, wenn ich mit "Körper auswählen" ein normales Bauteil unsichtbar mache.
Das ist tatsächlich nicht mehr sichtbar, wird aber im Browser als sichtbar angezeigt.

Isoliere ich z.B. das Teil, ist gar nichts zu sehen.
Habe auch keine Möglichkeit, das wieder durch z.B. "alles anzeigen" sichtbar zu machen.

Wenn ich weiß, wie das ausgeblendete Bauteil heißt, kann ich im Browser durch nochmaliges unsichtbar und wieder sichtbar machen, das Teil wieder herholen.
Wenn ich das nicht weiß, geht das nur durch Einbeziehen des Bauteils durch markieren mehrerer Bauteile mit unsichtbar und wieder sichtbar schalten.

Durch die halbfertige Programmierung ist das meiner Ansicht nach ein gefährlicher Befehl in dr Baugruppenumgebng.
Wer das nicht kennt, findet Bauteile auf einmal nicht mehr, oder denkt das Bauteil ist leer.

Viele Grüße
Roger

   

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik


Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 1945
Registriert: 15.11.2006

Windows 10 x64, AIP 2022

erstellt am: 16. Jan. 2022 15:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Hallo

Du musst den Kontext beachten.
Beispiel:
Wenn du ein Bauteil in der Baugruppe auswählst, wählst du in Wirklichkeit ein Exemplar (engl. Occurrence) dieses Bauteiles aus. Schaltest du dieses Exemplar unsichtbar, wird die Sichtbarkeit Eigenschaft für dieses Exemplar in der Baugruppe gespeichert, nicht im Bauteil. Nur so ist es möglich, dass weitere Exemplare dieses Bauteiles in der gleichen Baugruppe weiter sichtbar bleiben können.
Das gleiche gilt für die Auswahl Körper. In Einkörperbauteilen sieht man auf den ersten Blick optisch keinen Unterschied zur Bauteilauswahl, aber einmal wählt man ein PartDocument und das andere mal einen SurfaceBody. Wie du schon bemerkt hast, kann in Mehrkörperbauteilen mit Körperauswahl ein einzelner Volumenkörper selektiert werden.  Schaltet man diesen unsichtbar, wird auch diese Eigenschaft als Exemplareigenschaft in der Baugruppe gespeichert. Deswegen sind im separat geöffneten Bauteil alle Volumenkörper wieder sichtbar. Die Überschreibung der Sichtbarkeit gilt nur für dieses Exemplar in dieser Baugruppe.
Richtig lustig wird die Vorstellung, wenn man so einen Exemplarkörper über mehrere Baugruppenebenen abwechselnd un-/sichtbar schaltet. 

Zu deinem Beispiel:
Du schaltest den Volumenkörper im Exemplar unsichtbar, nicht das Bauteil. Deswegen kann im Modellbrowser auch das Bauteil nicht als unsichtbar angezeigt werden. Das ist alles so gewollt, logisch und richtig so.  Stell mal den Modellbrowser von "Baugruppe" um auf "Modellieren". Dann werden die jeweiligen Volumenkörper der Bauteile mit angezeigt. Da könntest du auch deinen unsichtbaren Volumenkörper wieder sichtbar schalten. Zugegeben, hier könnte ein "Alle wieder sichtbar schalten" Knopf hilfreich sein. Aber für jede Eventualität einen Button? Das dürfte in Featuritis ausarten.
Notfalls schreibt man sich die fehlende Funktion eben selbst z.b. in iLogic. Ist sicher nicht ganz fehlerfrei, sollte aber die meisten Fälle abdecken. Was definitiv nicht funktioniert, sind Flächenkörper.

Code:

Option Explicit on
Private Sub Main()

'schaltet rekursiv alle unsichtbaren Exemplare und deren Volumenkörper sichtbar

    Dim oApp As Inventor.Application= ThisApplication
   
    If Not oApp.ActiveDocumentType = kAssemblyDocumentObject Then
        MsgBox ("This function is available in assemblies only!")
        Exit Sub
    End If
   
    Dim oAssDoc As AssemblyDocument = oApp.ActiveDocument
    Dim oOccs As ComponentOccurrences = oAssDoc.ComponentDefinition.Occurrences
   
    Call TraverseOccs(oOccs)

Dim oRefedDoc As Document
Dim oRefedAssDoc As AssemblyDocument
For Each orefeddoc In oAssDoc.AllReferencedDocuments
If oRefedDoc.DocumentType = DocumentTypeEnum.kAssemblyDocumentObject Then
oRefedAssDoc = DirectCast(oRefedDoc, AssemblyDocument)
oOccs = oRefedAssDoc.ComponentDefinition.Occurrences
Call TraverseOccs(oOccs)
End If
Next
End Sub

Private Sub TraverseOccs(ByVal oOccs As ComponentOccurrences)
    Dim oOcc As ComponentOccurrence
    For Each oOcc In oOccs
        If oOcc.SubOccurrences.Count > 0 Then
          Call TraverseOccs(oOcc.SubOccurrences)
        End If
       
        If oOcc.Visible = False Then oOcc.Visible = True

        Dim oSB As SurfaceBody
        For Each oSB In oOcc.SurfaceBodies
            If oSB.Visible = False Then oSB.Visible = True
        Next
    Next
End Sub



------------------
MfG
Ralf

RKW Solutions GmbH
www.RKW-Solutions.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rode.damode
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von rode.damode an!   Senden Sie eine Private Message an rode.damode  Schreiben Sie einen Gästebucheintrag für rode.damode

Beiträge: 222
Registriert: 15.07.2011

Inventor 2021.3.3
ZBook15, i7
Quadro M2200

erstellt am: 16. Jan. 2022 18:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für popoff1 10 Unities + Antwort hilfreich

Hallo Ralf

Mir ist schon klar, dass die Sichtbarkeit nur in der Baugruppe gilt, in der sie gesetzt wurde.
Beim extra Öffnen ist dann alles wieder sichtbar. Nur beim Doppelcklick in der Baugruppe eben nicht.
Deshalb schrieb ich, dass der Befehl in der Baugruppenumgebung gefährlich ist.
Man muss eben, wie immer, wissen was man tut.

Zitat:
Original erstellt von rkauskh:
... Stell mal den Modellbrowser von "Baugruppe" um auf "Modellieren". Dann werden die jeweiligen Volumenkörper der Bauteile mit angezeigt. Da könntest du auch deinen unsichtbaren Volumenkörper wieder sichtbar schalten.

Wenn ich den Browser auf "Modellieren" stelle sehe ich zwar, was innerhalb dem Bauteil unsichtbar gesetzt wurde, aber zurücksetzen läßt es sich eben nicht so einfach. Es geht nur wie weiter oben beschrieben.
Wenn es bei dir funktioniert, frage ich mich, ob es da eventuell eine spezielle Einstellung dafür gibt?

Wenn ich aber dafür iLogic benötige, weiß ich, dass da ein halbfertiger Inventorbefehl am Start ist.

Vielen Dank für die ausführliche Info.   Ich weiß nun, an was es liegen könnte, wenn mal ein Bauteil nicht auffindbar ist.

Viele Grüße
Roger
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz